Bug 249593 - traceback during "yum clean all" in F7
Summary: traceback during "yum clean all" in F7
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 17:10 UTC by Michael DeHaan
Modified: 2014-01-21 22:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 16:09:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael DeHaan 2007-07-25 17:10:13 UTC
Description of problem:

yum clean all resulted in a traceback, showing that the yum code is using some
code in ElementTree that doesn't exist in a few instances.

Version-Release number of selected component (if applicable):


How reproducible:

Not very, I've seen it once or twice.  Running again seems to clear the problem,
though there may be other code relying on this

Steps to Reproduce:
1.   not sure, but the traceback should indicate the problem
2.
3.
  
Actual results:

traceback showing usage of code not in cElementTree

Expected results:

don't call that method

Additional info:

   1.
      Traceback (most recent call last):
   2.
         File "/usr/bin/yum", line 4 in <module>
   3.
             import yum
   4.
         File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 36 in
<module>
   5.
             import comps
   6.
         File "/usr/lib/python2.5/site-packages/yum/comps.py", line 22, in <module>
   7.
             iterparse = cElementTree.iterparse
   8.
      AttributeError: 'module' object has no attribute 'iterparse'


Note You need to log in before you can comment on or make changes to this bug.